#ifndef UART_H_
#define UART_H_

/*
 * Sets up EUSART and correspoding input/output pins.
 */
void uart_setup(void);

/*
 * Blocks until one whole line is retrieved from the UART receiver.
 */
unsigned char * uart_getLine(void);

/*
 * Blocks until one character is retrieved from the UART receiver. 
 */
unsigned char getch(void);

#endif /*UART_H_*/
